function calculateDirectParams(dataFileName,funcType,metab_j,resultsDir)

    % Load in the appropriate datafile
    load(dataFileName);

    % Just in case we get lazy...
    if ~exist('resultsDir','var')
        resultsDir = 'output_directMethod';
    end
    
    if ~exist(resultsDir,'dir')
        mkdir(resultsDir);
    end

    % Pre-allocate
    directParamSolution = zeros(7,numIters);
    directRmsd = inf(numIters,1);
    runTime = zeros(numIters,1);

    params.bF = 0.5;
    
    % Now we're going to loop through various random noise datatsets and
    % for each, we will calculate the parametes that best fit for the
    % function of interest
    for iteration_k = 1:numIters

        fprintf('\tIteration %d/%d\n',iteration_k,numIters)
        ticLoop = tic;
        
        % Fit the "chosen" function for this metabolite
        [directParamSolution(:,iteration_k), directRmsd(iteration_k)] = fitSmoothingFcn(sampleTime,noisyDataMatrix{iteration_k}(:,metab_j),funcType,params);

        % For kicks - how long did this take?
        runTime(iteration_k) = toc(ticLoop);

        % Now save out our data for this metab and run conditions!!
        save(sprintf('%s/directFitParams_%s_metab%02d.mat',resultsDir,funcType,metab_j),...
                'dataFileName',...
                'funcType',...
                'metab_j',...
                'numIters',...
                'CoV',...
                'numReplicates',...
                'directParamSolution',...
                'directRmsd',...
                'runTime');

    end
end