function calculateImpulseSweep(dataFileName,metab_j, hF, bF,resultsDir,iterK)

    % Where is this going?
    if ~exist('resultsDir','var') || isempty(resultsDir)
        resultsDir = 'output_impulseSweep';
    end
    
    % Where are we looking?
    if ~exist(resultsDir,'dir')
        mkdir(resultsDir);
    end

    % Oops
    if ~exist('iterK','var')
        error('Specify Iteration Number!!')
    end
    
    % Load in the appropriate datafile
    load(dataFileName);
    
    % We're only ever using this with impulse
    funcType = 'impls';
    
    params.hF = hF;
    params.bF = bF;
    
    % Pre-allocate
    directParamSolution = zeros(7,numIters);
    directRmsd = inf(numIters,1);
    runTime = zeros(numIters,1);

    % Now we're going to loop through various random noise datatsets and
    % for each, we will calculate the parametes that best fit for the
    % function of interest
    for iteration_k = 1:numIters

        fprintf('\tIteration %d/%d\n',iteration_k,numIters)
        ticLoop = tic;
    	
        % Fit the "chosen" function for this metabolite
        [directParamSolution(:,iteration_k), directRmsd(iteration_k)] = fitSmoothingFcn(sampleTime,noisyDataMatrix{iteration_k}(:,metab_j),funcType,params);

        % For kicks - how long did this take?
        runTime(iteration_k) = toc(ticLoop);

        % Now save out our data for this metab and run conditions
        save(sprintf('%s/implsSweep_iterK=%05d.mat',resultsDir,iterK),...
                'dataFileName',...
                'funcType',...
                'metab_j',...
                'hF',...
                'bF',...
                'numIters',...
                'CoV',...
                'numReplicates',...
                'directParamSolution',...
                'directRmsd',...
                'runTime');

    end
end