clc; clear; close all; set(0,'DefaultFigureVisible','on')

% Specify what we're looking for right here up top
baseDatasetFileName = '../chassData/chassNoisy.mat';
dataDir = 'output_sweepNumTries';
plotDir = 'output_plots';


ticStart = tic;

fprintf('Compiling data for varying numTries values\n\n');
fprintf('Loading ''%s''\n\n',baseDatasetFileName);
            
% Pull the master dataset
baseDataset = load(baseDatasetFileName);
metabNameList = baseDataset.colNames;
timeUnit = baseDataset.timeUnit;
concUnit = baseDataset.concUnit;

% Final clean-up/set-up
clear baseDataset


fileList = dir(dataDir);
set_k = 1;

for file_k = 1:length(fileList)
    if ~fileList(file_k).isdir && ~strcmp(fileList(file_k).name(1),'.')
        fileName = sprintf('%s/%s',dataDir,fileList(file_k).name);

        % Which file are we checking right now?
        fprintf('Loading file: %s\n',fileName);

        try
            load(sprintf('%s',fileName));

            % Record info about what we're looking at
            currentFunc{set_k} = funcType;
            currentMetabNum(set_k) = metab_j;
            currentMetabName{set_k} = metabNameList{metab_j};
            currentNumTries(set_k) = numTries;
            currentRmsdList{set_k} = directRmsd;
            [currentRmsdListSorted{set_k} sortIdxList{set_k}] = sort(directRmsd);

            set_k = set_k+1;
            
        catch
            fprintf('\tWarning: Error during analysis of ''%s''\n',fileName);
        end
    end
end

fprintf('\n');

save multiTriesChass

% Generate RMSD Correlation plots
try
    plotCumulativeRmsd
end

% Generate RMSD Correlation plots
try
    plotRmsdCorrelations
end
